<?php

namespace App\Modules\Shared\Domain\QueryBuilder\Operator;

class OperatorValue implements Operator
{

    public function __construct(
        public mixed $value
    ) {}

    public function query(): string
    {
        return "?";
    }

    public function values(): array
    {
        return [$this->value];
    }
}
